import "dart:io";
import 'package:wife/modules/icon_generator/icon_generator.dart';
import 'package:wife/modules/module_generator/module_generator.dart';
import 'package:wife/modules/project_generator/project_generator.dart';
import 'package:wife/resources/session/package_info.dart';

void main(List<String> args) async {
  var pubSpecFile = await File("./pubspec.yaml");
  bool hasPubspec = false;
  if (pubSpecFile.existsSync()) {
    hasPubspec = true;
  }
  
  // await generateDefinedTemplate();
  // await createImport();

  var fullArgumentString = args.join(" ");
  if (hasPubspec) {
    await getPackageName();

    if (fullArgumentString.contains("module create")) {
      var moduleName = fullArgumentString.split("module create ")[1];
      print("--------------");
      print("Create Module");
      print("Module Name: $moduleName");
      print("--------------");
      ModuleGenerator.create(moduleName);
    }
  }

  if (fullArgumentString.contains("init")) {
    print("--------------");
    print("Wife Init");
    print("This command will create a project with wife app templates");
    print("--------------");
    ProjectGenerator.create();
  }

  if (fullArgumentString.contains("generate_icon")) {
    print("--------------");
    print("Update Icon");
    print("This command will use icon on assets/icon/icon.png");
    print("--------------");
    IconGenerator.create();
  }
}
